summaryrefslogtreecommitdiff
path: root/polux/application/openssh/regress/proxy-connect.sh
diff options
context:
space:
mode:
Diffstat (limited to 'polux/application/openssh/regress/proxy-connect.sh')
-rw-r--r--polux/application/openssh/regress/proxy-connect.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/polux/application/openssh/regress/proxy-connect.sh b/polux/application/openssh/regress/proxy-connect.sh
new file mode 100644
index 0000000000..6a36b2513b
--- /dev/null
+++ b/polux/application/openssh/regress/proxy-connect.sh
@@ -0,0 +1,18 @@
+# $OpenBSD: proxy-connect.sh,v 1.5 2002/12/09 15:28:46 markus Exp $
+# Placed in the Public Domain.
+
+tid="proxy connect"
+
+for p in 1 2; do
+ ${SSH} -$p -F $OBJ/ssh_proxy 999.999.999.999 true
+ if [ $? -ne 0 ]; then
+ fail "ssh proxyconnect protocol $p failed"
+ fi
+ SSH_CONNECTION=`${SSH} -$p -F $OBJ/ssh_proxy 999.999.999.999 'echo $SSH_CONNECTION'`
+ if [ $? -ne 0 ]; then
+ fail "ssh proxyconnect protocol $p failed"
+ fi
+ if [ "$SSH_CONNECTION" != "UNKNOWN 65535 UNKNOWN 65535" ]; then
+ fail "bad SSH_CONNECTION"
+ fi
+done